<template>
    <div>
        <div v-if="invalid">
            <div class="alert alert-danger text-center" role="alert">
                <p>Invalid Email!</p>
            </div>
        </div>
        <form @submit.prevent="onSubmit" style="margin: 40px 0">
            <div class="form-group">
                <label for="email">Enter your email</label>
                <input type="text"
                       id="email"
                       class="form-control"
                        v-model="email"
                       :class="{'is-invalid': $v.email.$error}"/>
                <span class="invalid-feedback">
                        <span v-if="!$v.email.required">
                            Please enter the email.
                        </span>
                </span>
            </div>
            <button class="btn btn-primary"
                    type="submit"
                    style="width:80px">
                Confirm
            </button>
        </form>
    </div>
</template>

<script>
    import {required} from 'vuelidate/lib/validators';
    import UserService from "../../services/user.service";

    export default {
        data() {
            return {
                email: '',
                invalid: false
            }
        },
        validations: {
            email: {
                required
            }
        },
        methods: {
            onSubmit() {
                this.$v.$touch();
                const formData = {
                    email: this.email
                };
                UserService.forgotPassword(formData).subscribe(() => {
                    this.$router.replace('/resetpassword');
                }, error => {
                    console.log(error);
                    this.invalid = true;
                })
            }
        }
    }
</script>
